//
//  Shader.vsh
//  FatCatBurglar
//
//  Created by Tmi Parabits on 8/20/11.
//  Copyright 2011 SoftCubicle. All rights reserved.
//

//uniform vec3  LightPosition;  // (0.0, 10.0, 4.0) 

varying float NdotL;
varying vec3  ReflectVec;
varying vec3  ViewVec;

varying vec2 position;

void main(void)
{
    vec3 LightPosition=vec3(0.0, 30.0, 10.0);
    
    vec3 ecPos      = vec3 (gl_ModelViewMatrix * gl_Vertex);
    vec3 tnorm      = normalize(gl_NormalMatrix * gl_Normal);
    vec3 lightVec   = normalize(LightPosition - ecPos);
    ReflectVec      = normalize(reflect(-lightVec, tnorm));
    ViewVec         = normalize(-ecPos);
    NdotL           = (dot(lightVec, tnorm) + 1.0) * 0.5;
    gl_Position     = ftransform();
    position=gl_Position.xy;
}

/*
void main()
{
    gl_Position = modelViewProjectionMatrix * position;
    textureCoordsOut=textureCoords;
    
}*/
//attribute vec4 position;
/*
attribute vec2 textureCoords;
attribute vec4 position;
attribute vec4 color;
varying vec2 textureCoordsOut;

uniform mat4 modelViewProjectionMatrix;
varying vec4 colorVarying;
uniform float translate;

varying vec3 normal;

void main()
{
    gl_Position = ftransform();//modelViewProjectionMatrix * position;
    normal=normalize(gl_NormalMatrix * gl_Normal);
    textureCoordsOut=textureCoords;
    
    colorVarying = color;
}*/
