//
//  TexShader.vsh
//  iBunny
//
//  Created by Pekka Kuismanen on 6/11/11.
//  Copyright 2011 SoftCubicle. All rights reserved.
//

attribute vec4 position;
attribute vec2 textureCoords;

varying vec2 textureCoordsOut;
uniform mat4 modelViewProjectionMatrix;
uniform float alpha;

varying float alphaOut;

void main()
{
    gl_Position=ftransform();
    textureCoordsOut=gl_MultiTexCoord0.st;
    alphaOut=alpha;
}